import React, { Component } from 'react';
import { createAppContainer } from 'react-navigation';
import { createStackNavigator } from 'react-navigation-stack';
import PI from './PI';
import Success from './src/common/Success';
import WithOutQuote from './src/common/WithOutQuote';
import DocumentCollection from './src/common/DocumentCollection'
import QuoteInstructions from './src/common/QuoteInstructions'
import Camera from './src/common/Camera'
import PreviewImage from './src/common/PreviewImage'
import VideoRecorder from './src/common/VideoRecorder'
import VideoPreview from './src/common/VideoPreview'
import DocumentUpload from './src/common/DocumentUpload'
import PropTypes from 'prop-types';
import { Provider } from 'react-redux';
import store from './src/redux/store';




//AppNAvigator
const AppNavigator = createStackNavigator({
    Success: { screen: Success, navigationOptions: { headerShown: false } },
    WithOutQuote: { screen: WithOutQuote, navigationOptions: { headerShown: false } },
    DocumentCollection: { screen: DocumentCollection, navigationOptions: { headerShown: false } },
    QuoteInstructions: { screen: QuoteInstructions, navigationOptions: { headerTitle: '', headerTintColor: Colors.darkBlack, headerStyle: { backgroundColor: Colors.lightBlack } } },
    PI: { screen: PI, navigationOptions: { headerShown: false } },
    Camera: { screen: Camera, navigationOptions: { headerShown: false } },
    PreviewImage: { screen: PreviewImage, navigationOptions: { headerShown: false } },
    VideoRecorder: { screen: VideoRecorder, navigationOptions: { headerShown: false } },
    VideoPreview: { screen: VideoPreview, navigationOptions: { headerShown: false } },
    DocumentUpload: { screen: DocumentUpload, navigationOptions: { headerShown: false } },
},
    {
        initialRouteName: "PI" //To Render From Here
    }

);


const AppContainer = createAppContainer(AppNavigator);

class App extends Component {
    render() {
        console.log(this.props.activityId)
        return (
            <Provider store={store}>
                <AppContainer
                    screenProps={{
                        activityId: this.props.activityId,
                        activityTypeId: this.props.activityTypeId,
                        webUserId: this.props.webUserId,
                        props: this.props
                    }}>
                </AppContainer>
            </Provider>

        )
    }

}
App.propTypes = {
    activityId: PropTypes.number,
    activityTypeId: PropTypes.number,
    webUserId: PropTypes.number,
};

App.defaultProps = {
    activityId: -1,
    activityTypeId: -1,
    webUserId: -1,
};

export default App;